# Uses of Class
org.apache.avro.idl.IdlParser.PrimitiveTypeContext

## Uses of IdlParser.PrimitiveTypeContext in org.apache.avro.idl

Methods in org.apache.avro.idl that return IdlParser.PrimitiveTypeContext
Modifier and Type
Method
Description
`IdlParser.PrimitiveTypeContext`
IdlParser.NullableTypeContext.`primitiveType()`
`final IdlParser.PrimitiveTypeContext`
IdlParser.`primitiveType()`
Methods in org.apache.avro.idl with parameters of type IdlParser.PrimitiveTypeContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterPrimitiveType(IdlParser.PrimitiveTypeContext ctx)`
Enter a parse tree produced by `IdlParser.primitiveType()`.
`void`
IdlListener.`enterPrimitiveType(IdlParser.PrimitiveTypeContext ctx)`
Enter a parse tree produced by `IdlParser.primitiveType()`.
`void`
IdlBaseListener.`exitPrimitiveType(IdlParser.PrimitiveTypeContext ctx)`
Exit a parse tree produced by `IdlParser.primitiveType()`.
`void`
IdlListener.`exitPrimitiveType(IdlParser.PrimitiveTypeContext ctx)`
Exit a parse tree produced by `IdlParser.primitiveType()`.